Bug 9392 - typical perl error in if
: typical perl error in if
Status: CLOSED WONTFIX
: Branch 3.0
(All bugs in Branch 3.0/menu-devel)
: 3.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-04-11 14:52 by
Modified: 2008-02-15 20:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-04-11 14:52:43
в версии menu-devel-0.1.1-alt1
 в скрипте есть такая ошибка:

$ freedesktop2menu.pl xpad "Office/Accessories" xpad.desktop xpad.menu

....
Argument "text" isn't numeric in numeric eq (==) at /usr/bin/freedesktop2menu.pl
line 128.
Argument "x11" isn't numeric in numeric eq (==) at /usr/bin/freedesktop2menu.pl
line 128.

вызвано это применением оператора сравнения  ==  там, где должен быть eq.

если заменить строку 128 , то все становится нормально (без ошибок)

--- freedesktop2menufixed.pl    2006-04-11 15:51:26 +0500
+++ freedesktop2menu.pl 2006-04-11 15:05:19 +0500
@@ -125,7 +125,7 @@
 #  if ($mdk_version >= 8.1) {
   if (1) {
     $_ = $command;
-    if ( $requires == "text" or $requires == "x11" ) {
+    if ( $requires eq "text" or $requires eq "x11" ) {
       if (/.*%u.*/) {
        $accept_url = "true";
        $multiple_files = "false";
------- Comment #1 From 2006-04-11 15:31:47 -------
* Mon Apr 03 2006 Sergey V Turchin <zerg at altlinux dot org> 0.2.0-alt1
- deprecate freedesktop2menu.pl; it produce only empty files now
------- Comment #2 From 2006-04-11 15:55:09 -------
придется изменить раздел (продукт)
------- Comment #3 From 2008-02-15 19:40:58 -------
apparently wontfix